### Function

# Gimp BatchFunc

#### Declaration

    GimpValueArray*
    (* GimpBatchFunc) (
      GimpProcedure* procedure,
      GimpRunMode run_mode,
      const gchar* command,
      const GimpValueArray* args,
      gpointer run_data
    )

#### Description [src]

The batch function is run during the lifetime of the GIMP session, each time a plug-in batch procedure is called.

Available since: | 3.0

#### Parameters

`procedure` | `GimpProcedure`
| The `GimpProcedure` that runs.
| The data is owned by the caller of the function.
`run_mode` | `GimpRunMode`
| The `GimpRunMode`.
`command` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`args` | `GimpValueArray`
| The `procedure`‘s remaining arguments.
| The data is owned by the caller of the function.
`run_data` | `gpointer`
| The run_data given in gimp_batch_procedure_new().
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GimpValueArray`
| The `procedure`‘s return values.
| The caller of the function takes ownership of the data, and is responsible for freeing it.